/*
 * Copyright (c) 1996, 2002 Sandro Sigala.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef LEGENDWINDOW_H
#define LEGENDWINDOW_H

#include <fx.h>

#include "fxrepton.h"

class LegendWindow: public FXTopWindow {
    	FXDECLARE(LegendWindow)

private:
      	FXBMPImage *sprites[num_sprites];
	FXImageView *views[num_sprites];
	int num_views;

	void loadSprites(const FXString& episode);

protected:
	LegendWindow();

private:
  	LegendWindow(const LegendWindow&);
  	LegendWindow& operator =(const LegendWindow&);

public:
    	enum {
        	ID_LAST = FXMainWindow::ID_LAST,
    	};

public:
	LegendWindow(FXApp *a, const FXString& name, const FXString& episode,
 		     FXIcon *icon, FXIcon *miniicon);
	~LegendWindow();

  	virtual void create();

	void updateSprites(const FXString& episode);
};

#endif // !LEGENDWINDOW_H

