/*
 * Copyright (c) 1996, 2002 Sandro Sigala.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef MAPWINDOW_H
#define MAPWINDOW_H

#include <fx.h>

#include "fxrepton.h"

class GameEngine;

class MapWindow: public FXTopWindow {
    	FXDECLARE(MapWindow)

private:
      	FXBMPImage *sprites[num_sprites];
      	FXBMPImage *map;
	FXImageView *mapview;
	int num_views;
	GameEngine *engine;

	void loadSprites(const FXString& episode);

protected:
	MapWindow();

private:
  	MapWindow(const MapWindow&);
  	MapWindow& operator =(const MapWindow&);

public:
	long onCmdUpdate(FXObject *, FXSelector, void *);

public:
     	enum {
        	ID_UPDATEMAP = FXMainWindow::ID_LAST,
        	ID_LAST
    	};

public:
	MapWindow(FXApp *a, const FXString& name, GameEngine *e, const FXString& episode,
 		  FXIcon *icon, FXIcon *miniicon);
	~MapWindow();

  	virtual void create();

	void updateSprites(const FXString& episode);
	void updateMap();
};

#endif // !MAPWINDOW_H

